function [out] = color_gauss(in, sigma, order_x,order_y)
% computes gaussian convolution on multi channel images

if nargin==2 
    order_x=0;
    order_y=0;
end

in2=double(in);
out=in2;

for i=1:size(in,3)
    out(:,:,i)=gDer(in2(:,:,i),sigma,order_x,order_y);
end
