function [locations, sift] = compute_sift_grid(im_name,scale,gridstep,siftscone)
% be aware that this function can not be used in parallel !!

if(nargin<3)
    scale=10;
    gridstep=1;     % every gridstep*scale pixels
    siftscone=2;    % obscure parameter which defines the size of patch (I suppose (scale=20,siftcone=1) == (scale=10,siftcone=2) ?)
end

%% REINTRODUCE GAMMA BEFORE USAGE OF SIFT COMPUTATION (WAS FOUND TO BE A LITTLE BIT BETTER)
fprintf(1,'NO GAMMA CORRECTION OF SIFT ! ASSUMES GAMMA=2.2 \n');
im_name=gammacorrection(im_name,1/2.2);
imwrite(uint8(im_name),'/home/joost/data/cc_arjan/single_image/test_im.pgm');
system('convert /home/joost/data/cc_arjan/single_image/test_im.pgm /home/joost/data/cc_arjan/single_image/test_im.pgm');
command2=sprintf('/home/joost/data/cc_arjan/scripts/compute_sift_grid.bash test_im.pgm %d %d %d',scale,gridstep,siftscone);
system(command2);

[sift,locations]=read_corners_txt('/home/joost/data/cc_arjan/single_image/points.txt');            
locations=locations(:,1:2);
